%define VER 0.4
%define FILEVER 0_4_8

Summary:  A graph based image processing framework
Summary(ja):  グラフベースの画像処理フレームワーク
Name:     gegl04
Version:  0.4.8
Release:  1%{?_dist_release}
# The binary is under the GPL, while the libs are under LGPL
License:  LGPLv3+ and GPLv3+
Group:    System Environment/Libraries
URL:      http://www.gegl.org/
Source0:  https://gitlab.gnome.org/GNOME/gegl/-/archive/GEGL_%{FILEVER}/gegl-GEGL_%{FILEVER}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  glib2-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  pango-devel
BuildRequires:  babl-devel >= 0.1.56
BuildRequires:  json-glib-devel
BuildRequires:  perl
BuildRequires:  ruby
BuildRequires:  exiv2-devel
BuildRequires:  libgexiv2-devel
BuildRequires:  lcms2-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libtiff-devel
BuildRequires:  libwebp-devel
BuildRequires:  LibRaw-devel
BuildRequires:  jasper-devel
BuildRequires:  lensfun-devel
BuildRequires:  asciidoc
BuildRequires:  SDL-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  lua-devel
BuildRequires:  enscript
BuildRequires:  w3m
BuildRequires:  graphviz


Vendor: Project Vine
Distribution: Vine Linux

%description
GEGL (Generic Graphics Library) is a graph based image processing framework. 
GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

%package devel
Summary:  Development files for %{name}
Summary(ja):  %{name} の開発ファイル
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig babl-devel glib2-devel

%description devel
This package contains the libraries and header files needed for
developing with %{name}.


%prep
%setup -q -n gegl-GEGL_%{FILEVER}

%build
./autogen.sh
%{configure} --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} DESTDIR=${RPM_BUILD_ROOT} install INSTALL='install -p'

find ${RPM_BUILD_ROOT} -name '*.la' -delete

# conflict with gegl-0.2
%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/gtk-doc
%{__rm} -rf ${RPM_BUILD_ROOT}%{_bindir}

%find_lang gegl-%{VER}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig


%files -f gegl-%{VER}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING COPYING.LESSER MAINTAINERS
%doc docs/ChangeLog docs/NEWS.txt
%{_libdir}/libgegl-%{VER}.so.*
%{_libdir}/libgegl-npd-%{VER}.so
%{_libdir}/libgegl-sc-%{VER}.so
%{_libdir}/gegl-%{VER}
%{_libdir}/girepository-1.0/Gegl-%{VER}.typelib

%files devel
%defattr(-, root, root, -)
%{_includedir}/gegl-%{VER}
%{_libdir}/libgegl-%{VER}.so
%{_libdir}/pkgconfig/gegl-%{VER}.pc
%{_libdir}/pkgconfig/gegl-sc-%{VER}.pc
%{_datadir}/gir-1.0/Gegl-%{VER}.gir


%changelog
* Tue Oct 02 2018 Toshiaki Ara <ara_t@384.jp> 0.4.8-1
- initial build

